Bug 1279058 - dnf system-upgrade in non-unicode terminal throws error
Summary: dnf system-upgrade in non-unicode terminal throws error
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf-plugin-system-upgrade
Version: 22
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Will Woods
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-11-07 14:57 UTC by Mario Wenzel
Modified: 2016-07-19 20:15 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-19 20:15:26 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1278031 None None None Never

Internal Links: 1278031

Description Mario Wenzel 2015-11-07 14:57:09 UTC
Description of problem:

I am running sudo dnf system-upgrade download --releasever=23 --best on a fedora 22 server installation via ssh. This is not a unicode-terminal.

After running the comand I get

Traceback (most recent call last):
  File "/usr/lib64/python2.7/logging/__init__.py", line 859, in emit
    msg = self.format(record)
  File "/usr/lib64/python2.7/logging/__init__.py", line 732, in format
    return fmt.format(record)
  File "/usr/lib64/python2.7/logging/__init__.py", line 471, in format
    record.message = record.getMessage()
  File "/usr/lib64/python2.7/logging/__init__.py", line 335, in getMessage
    msg = msg % self.args
UnicodeDecodeError: 'ascii' codec can't decode byte 0xc2 in position 9: ordinal not in range(128)
Logged from file system_upgrade.py, line 607
Traceback (most recent call last):
  File "/usr/lib64/python2.7/logging/__init__.py", line 859, in emit
    msg = self.format(record)
  File "/usr/lib64/python2.7/logging/__init__.py", line 732, in format
    return fmt.format(record)
  File "/usr/lib64/python2.7/logging/__init__.py", line 471, in format
    record.message = record.getMessage()
  File "/usr/lib64/python2.7/logging/__init__.py", line 335, in getMessage
    msg = msg % self.args
UnicodeDecodeError: 'ascii' codec can't decode byte 0xc2 in position 9: ordinal not in range(128)
Logged from file system_upgrade.py, line 607
The downloaded packages were saved in cache till the next successful transaction.
You can remove cached packages by executing 'dnf clean packages'.

so it seems to be successful but still throws an error because some print statements didn't work.



Version-Release number of selected component (if applicable):
dnf-0:1.1.3-1.fc22.noarch
dnf-plugin-system-upgrade 0.7.0

How reproducible:


Steps to Reproduce:
1. Use Non-Unicode console (maybe ssh)
2. run sudo dnf system-upgrade download --releasever=23 --best

Actual results:
Error message


Expected results:
Whatever text should have been printed, including the unicode characters.


Additional info:

Comment 1 Honza Silhan 2015-11-09 13:50:56 UTC
This could be fixed together with bug 1278031 by applying [1].

[1] https://github.com/rpm-software-management/dnf-plugin-system-upgrade/pull/38

Comment 2 Fedora End Of Life 2016-07-19 20:15:26 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.